Dear All ,

I have a problem with : this error messasge " No Such File Load error -
md5 "

I can only use with development section.(rails s)
I can't use with production . ( rails s -e production). I use this
command, the error message is like this


Exiting
/opt/local/lib/ruby1.9/gems/1.9.1/gems/activesupport-3.2.2/lib/active_support/dependencies.rb:317:in
`rescue in depend_on': No such file to load -- MD5 (LoadError)
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/activesupport-3.2.2/lib/active_support/dependencies.rb:312:in
`depend_on'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/activesupport-3.2.2/lib/active_support/dependencies.rb:225:in
`require_dependency'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/engine.rb:439:in
`block (2 levels) in eager_load!'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/engine.rb:438:in
`each'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/engine.rb:438:in
`block in eager_load!'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/engine.rb:436:in
`each'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/engine.rb:436:in
`eager_load!'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/application/finisher.rb:53:in
`block in <module:Finisher>'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/initializable.rb:30:in
`instance_exec'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/initializable.rb:30:in
`run'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/initializable.rb:55:in
`block in run_initializers'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/initializable.rb:54:in
`each'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/initializable.rb:54:in
`run_initializers'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/application.rb:136:in
`initialize!'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/railties-3.2.2/lib/rails/railtie/configurable.rb:30:in
`method_missing'
from /Users/workstation02/sportskaki/config/environment.rb:5:in `<top
(required)>'
from /Users/workstation02/sportskaki/config.ru:4:in `require'
from /Users/workstation02/sportskaki/config.ru:4:in `block in <main>'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/rack-1.4.1/lib/rack/builder.rb:51:in
`instance_eval'
from
/opt/local/lib/ruby1.9/gems/1.9.1/gems/rack-1.4.1/lib/rack/builder.rb:51:in
`initialize'
from /Users/workstation02/sportskaki/config.ru:1:in `new'

....................x................


to encrypt password using with require 'md5' , require digest/md5 , in
my controller , I declare head of my controller


require digest/md5
Class Manage::AdminusersController < ApplicationController
def index
@adminusers = Adminuser.all
end
end .......................

And I run rails s -e production , I see no such file to load md5.
I remove require digest/md5 , I see this error also.

In my project I use
rails 3.2.2 and
ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-darwin11]



Pls help me, all

Sincerely

phoesan

--
Posted via http://www.ruby-forum.com/.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedJun 26, '12 at 9:59a
activeJun 26, '12 at 9:59a
posts1
users1
websiterubyonrails.org
irc#RubyOnRails

1 user in discussion

Phoe san: 1 post

People

Translate

site design / logo © 2022 Grokbase